## dialog-1.3-20211214.tar.lz

=== package/freebsd/Makefile ===
# New ports collection makefile for:	ncdialog
# Date created:		2003-01-11
# Whom:			AlanE <alane@freebsd.org>
#
# $Carpetsmoker: ports/cdialog/Makefile,v 1.4 2007/04/22 11:30:53 carpetsmoker Exp $
# $FreeBSD: ports/devel/cdialog/Makefile,v 1.40 2012/11/17 05:55:36 svnexp Exp $
#

PORTNAME=	cdialog
PORTVERSION=	1.3.20211214
PORTEPOCH=	1
CATEGORIES=	devel
MASTER_SITES=	ftp://ftp.invisible-island.net/${PORTNAME:S|^c||}/
DISTNAME=	${PORTNAME:S|^c||}-${PORTVERSION:R}-${PORTVERSION:E}
EXTRACT_SUFX=	.tgz

MAINTAINER=	sylvio@FreeBSD.org
COMMENT=	An enhanced version of 'dialog' to work with ncurses

LICENSE=	LGPL21

USE_AUTOTOOLS=	libtool
GNU_CONFIGURE=	yes
USE_LDCONFIG=	yes
CONFIGURE_ARGS=	--enable-widec \
		--includedir=${PREFIX}/include/${PORTNAME} \
		--with-libtool \
		--with-ncursesw \
		--with-package=${PORTNAME}
MAKEFILE=	makefile

MAN1=		cdialog.1
MAN3=		cdialog.3
MANCOMPRESSED=	no

INSTALL_TARGET=	install-strip install-man install-lib

.if !defined(NOPORTEXAMPLES)
post-patch:
	@${FIND} ${WRKSRC}/samples/ -type f -exec ${REINPLACE_CMD} -i "" "s|dialog|cdialog|g" {} \;

post-install:
	@${MKDIR} ${EXAMPLESDIR}
	cd ${WRKSRC}/samples && ${FIND} . | \
		${CPIO} -pdm -L -R ${SHAREOWN}:${SHAREGRP} ${EXAMPLESDIR}
.endif

.include <bsd.port.mk>

=== package/debian/control ===
Source: cdialog
Maintainer: Thomas E. Dickey <dickey@invisible-island.net>
Section: misc
Priority: optional
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), libc6 (>= 2.11), libncursesw6-dev (>= 5.3), groff-base
Homepage: https://invisible-island.net/dialog/

Package: cdialog
Architecture: any
Depends: libc6 (>= 2.11), libncursesw6 (>= 5.3)
Description: dialog - display dialog boxes from shell scripts
 Dialog is a program that will let you present a variety of questions or
 display messages using dialog boxes from a shell script.   These  types
 of  dialog  boxes  are  implemented  (though  not  all  are necessarily
 compiled into dialog):
 .
      buildlist, calendar, checklist, dselect, editbox, form, fselect,
      gauge, infobox, inputbox, inputmenu, menu, mixedform,
      mixedgauge, msgbox (message), passwordbox, passwordform, pause,
      prgbox, programbox, progressbox, radiolist, rangebox, tailbox,
      tailboxbg, textbox, timebox, treeview, and yesno (yes/no).
 .
 This package installs as "cdialog" to avoid conflict with other packages.

Package: cdialog-dev
Architecture: any
Depends: libc6 (>= 2.11), libncursesw6 (>= 5.3)
Description: dialog - display dialog boxes from shell scripts
 Dialog is a program that will let you present a variety of questions or
 display messages using dialog boxes from a shell script.   These  types
 This package provides headers and documentation for the library used
 by "cdialog".

=== package/debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.13 2021/03/24 08:10:31 tom Exp $
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS	:= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS		:= $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS		:= $(shell dpkg-buildflags --get LDFLAGS)

TMP = $(CURDIR)/debian/tmp

ACTUAL_PROG	= cdialog
DEV_PACKAGE	= $(ACTUAL_PROG)-dev

BINDIR		= /usr/bin
LIBDIR		= /usr/lib
LOCALE		= /usr/share/locale
MANDIR		= /usr/share/man
HEADER		= /usr/include

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif


configure: configure-stamp
configure-stamp:
	dh_testdir

	cp -v package/dialog.map package/${ACTUAL_PROG}.map

	CPPFLAGS="$(CPPFLAGS)" \
	CFLAGS="$(CFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--enable-nls \
		--enable-header-subdir \
		--enable-stdnoreturn \
		--enable-widec \
		--with-shared \
		--with-screen=ncursesw6 \
		--with-package=${ACTUAL_PROG} \
		--with-versioned-syms \
		--disable-rpath-hack

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f makefile ] || $(MAKE) distclean

	rm -f configure-stamp build-stamp install-stamp

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install-full DESTDIR=$(TMP)

	dh_install -p${ACTUAL_PROG} $(BINDIR)/$(ACTUAL_PROG)
	dh_install -p${ACTUAL_PROG} $(LIBDIR)
	dh_install -p${ACTUAL_PROG} $(LOCALE)
	dh_install -p${ACTUAL_PROG} $(MANDIR)/man1
	dh_install -p${DEV_PACKAGE} $(BINDIR)/$(ACTUAL_PROG)-config
	dh_install -p${DEV_PACKAGE} $(MANDIR)/man3
	dh_install -p${DEV_PACKAGE} $(HEADER)

	for P in lib${ACTUAL_PROG}.so*; \
	do \
		[ -L "$$P" ] || continue; \
		case "$$P" in \
		*.so) \
			echo "DEV: $$P"; \
			dh_link -p${DEV_PACKAGE} $(LIBDIR)/`readlink $$P` $(LIBDIR)/$$P ; \
			;; \
		*) \
			echo "BIN: $$P"; \
			dh_link -p${ACTUAL_PROG} $(LIBDIR)/`readlink $$P` $(LIBDIR)/$$P ; \
			;; \
		esac; \
	done

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# No binary-indep target.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-stamp
